#!/usr/bin/env python

import logging

from quriiri_api.receive import Receiver


logging.basicConfig(level=logging.INFO)


class DrReceiver(Receiver):
    def handle_input(self, dr):
        super(DrReceiver, self).handle_input(dr)
        # Add your DR handling code here


application = DrReceiver().wsgi_application


if __name__ == "__main__":
    print("Starting Quriiri DR receiver on localhost:8080...")
    from wsgiref.simple_server import make_server
    srv = make_server("localhost", 8080, application)
    print("This is a simple server intended for demonstration purposes only.")
    print("Please use a production ready WSGI server in production setups!")
    srv.serve_forever()
