#!/usr/bin/env python

import logging

from quriiri_api.receive import Receiver


logging.basicConfig(level=logging.INFO)


class MoReceiver(Receiver):
    def handle_input(self, mo):
        super(MoReceiver, self).handle_input(mo)
        # Add your MO handling code here


application = MoReceiver().wsgi_application


if __name__ == "__main__":
    print("Starting Quriiri MO receiver on localhost:8080...")
    from wsgiref.simple_server import make_server
    srv = make_server("localhost", 8080, application)
    print("This is a simple server intended for demonstration purposes only.")
    print("Please use a production ready WSGI server in production setups!")
    srv.serve_forever()
